package eu.midnightdust.yaytris.util.sound;

import javax.sound.sampled.LineEvent;
import javax.sound.sampled.LineListener;

public class LineUpdateListener implements LineListener {
    @Override
    public void update(LineEvent event) {
        if (LineEvent.Type.STOP == event.getType()) {
            event.getLine().close();
        }
    }
}
